import type { ECharts, EChartsOption, SetOptionOpts } from "echarts";
import * as echarts from "echarts";
import { HTMLAttributes } from "react";
export type Theme = Parameters<typeof echarts.init>[1];
export type InitOpts = Parameters<typeof echarts.init>[2];
export type InitHandler = (instance: ECharts) => void;
export type UpdateHandler = (instance: ECharts, option: EChartsOption, opts?: SetOptionOpts) => void;
export type { ECharts, EChartsOption, SetOptionOpts };
export type EChartsComponentProps = HTMLAttributes<HTMLElement> & {
    option?: EChartsOption;
    opts?: SetOptionOpts;
    theme?: Theme;
    initOpts?: InitOpts;
    onInit?: InitHandler;
    onUpdate?: UpdateHandler;
};
export declare const EChartsComponent: import("react").MemoExoticComponent<import("react").ForwardRefExoticComponent<HTMLAttributes<HTMLElement> & {
    option?: EChartsOption | undefined;
    opts?: SetOptionOpts | undefined;
    theme?: Theme;
    initOpts?: InitOpts;
    onInit?: InitHandler | undefined;
    onUpdate?: UpdateHandler | undefined;
} & import("react").RefAttributes<HTMLElement>>>;
